modelSelection {galgo} | R Documentation

## Function used to evaluate a fitness function in many train-test sets

### Description

Function used to evaluate a fitness function in many train-test sets

### Usage

    modelSelection(chr,
    	parent,
    	splits=1:length(parent$data$splitTrain),
    	set=parent$data$testErrorWeights)

### Arguments

`chr` | Chromosome or vector object.
`parent` | Parent object, commonly BigBang object.
`splits` | Which sets of splits will be used to compute the fitness function. Default to all splits defined in `parent$data$splitTrain`.
`set` | Weigths used in training and test sets. Vector of two values. The first is the weight of train error. The second is the weight of test error. The default value is taken from parent$data$testErrorWeights whose default is c(0,1) (considering only test error).

### Value

A vector with the fitness computed for each split weighted according to `set` parameter.

### Note

This function is designed to be used in forwardSelectionModels

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K.

### See Also

`forwardSelectionModels.BigBang`, `classPrediction`, `fitness`, `configBB.VarSel`

[Package galgo version 1.4 Index]